﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace AutoLaskuri
{
    public partial class AutoLaskuri : UserControl
    {
        public delegate void LaskuriHandler();
        public event LaskuriHandler Lisays;

        int p_laskuri = 0;
        [Category("Laskuri"),
        Description("Laskurin arvo"),
        DefaultValue(0),
        Browsable(true)] // jos on false ei näytetä design-tilassa
        public int laskuri
        {
            get { return p_laskuri; }
            set { 
                p_laskuri = value;
                labelLaskuri.Text = laskuri.ToString();
                if (Lisays != null) Lisays();  }
        }

        public AutoLaskuri()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            laskuri++;
        }
    }
}
